-- P5-3678 delete state from non-US orders
DELETE FROM "order-orders_fields"
WHERE fieldid = 235 AND orderid IN (
    SELECT orders.orderid FROM "order-orders" orders
    JOIN "order-orders_fields" countryCode ON countryCode.fieldid = 151 AND countryCode.orderid = orders.orderid
    WHERE countryCode.value != 'US'
);
